public class Lab {
    //an array of type Student
    private Student[] students;
    //average grades
    private  int avg;
    //week's days
    private  String day;
    // class capacity
    private int capacity;
    //currentsize
    private int currentSize;

    /**
     * create a lab with given capacity and day name
     * @param cap for capacity
     * @param d for day
     */
    public Lab(int cap , String d)
    {

        capacity=cap;
        day=d;
        avg=0;
        currentSize=0;
        students=new Student[capacity];
    }

    /**
     * method to add students to a lab
     * @param std
     */
    public void enrollStudent(Student std) {
        if (currentSize < capacity) {
            students[currentSize] = std; currentSize++;
        }
    else {
        System.out.println("Lab is full!!!");
    }
    }

    /**
     * printing labs students info!
     */
    public void print() {
        for (int i=0;i<currentSize;i++)
        {
            System.out.println("Name: "+students[i].getFirstName()+" "+students[i].getLastNameName()+", Id: "+students[i].getId()+" ,grade: "+students[i].getGrade());
        }
        System.out.println("average of class is:"+avg);
    }

    /**
     * get the array of type Student
     * @return students
     */
    public Student[] getStudents() {
        return students;
    }
    /**
     * set students
     * @param students
     */
    public void setStudents(Student[] students) {
        this.students=students;
    }

    /**
     * get average
     * @return avg
     */
    public int getAvg() {
        return avg;
    }

    /**
     * method to calcuate average grades
     */
    public void calculateAvg() {
        int sum=0;
        for (int i=0;i<currentSize;i++)
            sum+=students[i].getGrade();
        avg=sum/currentSize;
    }
    /**
     * get day
     * @return   the day
     */
    public String getDay() {
        return day;
    }

    /**
     * day set method
     * @param day
     */
    public void setDay(String day) {
        this.day=day;
    }

    /**
     *
     * @return capacity
     */
    public int getCapacity() {
        return capacity;
    }

    /**
     * sets capacity
     * @param capacity
     */
    public void setCapacity(int capacity) {
        this.capacity=capacity;
    }

    public int getCurrentSize() {
        return currentSize;
    }
}
