/**
 * The Student class represents a student in a student administration system.
 *
 * * It holds the student details relevant in our context.
 * * * @author fazel * @version 0.0
 */
public class Student {
    // the student’s first name
    private String firstName;
    // the student’s last name
    private String lastName;
    // the student ID
    private String id;
    //the grade
    private int grade;


    /*
    Create a student with given name and id
    @param fname first name of student
    @param lname last name of student
    @param Sid first students ID
     */
    public Student(String fname,String lname, String Sid)
    {
        firstName=fname;
        lastName=lname;
        id=Sid;
        grade=0;
    }
    /**
     * @param grade set student's grade
     */
    public void setGrade(int grade){
        this.grade=grade;
    }
    /**
     * get students grade
     * @return grade
     */
    public int getGrade() {
        return grade;
    }
    /**
     * get  students grade
     * @return grade
     */
    public String getId()
    {
        return id;
    }

    /**
     * @param fname set first name of student
     */
    public void nameSet(String fname)
    {
        firstName=fname;
    }
    /**
     * get first name of student
     * @return firstname field
     */
    public String getFirstName()
    {
        return firstName;
    }
    /**
     * get last first name of student
     * @return last name field
     */
    public String getLastNameName()
    {
        return lastName;
    }

    /**
     * printing students last name and ID
     */
    public void print()
    {
        System.out.println(lastName + ", student ID: " + id + ", grade: " + grade);
    }



}
